Loading...
Searching...
No Matches
DMM
Analog

Contains the representation of the digital multimeter. More...

Collaboration diagram for DMM:

## Classes

class | libm2k::analog::DMM
| Controls the digital multimeter. More...

## Functions

virtual std::vector< std::string > | libm2k::analog::DMM::getAllChannels ()=0
| Retrieve all channels.
virtual libm2k::analog::DMM_READING | libm2k::analog::DMM::readChannel (unsigned int index)=0
| Retrieve additional information about the given channel.
virtual libm2k::analog::DMM_READING | libm2k::analog::DMM::readChannel (std::string chn_name)=0
| Retrieve additional information about the given channel.
virtual std::vector< libm2k::analog::DMM_READING > | libm2k::analog::DMM::readAll ()=0
| Retrieve additional information about all channels.
virtual std::string | libm2k::analog::DMM::getName ()=0
| Retrieve the device's name.

## Detailed Description

Contains the representation of the digital multimeter.

## Function Documentation

## getAllChannels()

virtual std::vector< std::string > libm2k::analog::DMM::getAllChannels | ( |  | ) |

pure virtual

Retrieve all channels.

Returns
  A list containing the name of all channels

## getName()

virtual std::string libm2k::analog::DMM::getName | ( |  | ) |

pure virtual

Retrieve the device's name.

Returns
  The name of the device

## readAll()

virtual std::vector< libm2k::analog::DMM_READING > libm2k::analog::DMM::readAll | ( |  | ) |

pure virtual

Retrieve additional information about all channels.

Returns
  A list containing structures for each channel

## readChannel() [1/2]

virtual libm2k::analog::DMM_READING libm2k::analog::DMM::readChannel | ( | std::string | chn_name | ) |

pure virtual

Retrieve additional information about the given channel.

Parameters

  chn_name | The name corresponding to the channel

Returns
  A structure containing additional information

## readChannel() [2/2]

virtual libm2k::analog::DMM_READING libm2k::analog::DMM::readChannel | ( | unsigned int | index | ) |

pure virtual

Retrieve additional information about the given channel.

Parameters

  index | The index corresponding to the channel

Returns
  A structure containing additional information